Date: Tue, 29 Jul 2014 10:42:12 +0000
Mime-Version: 1.0 (Produced by PhpWiki 1.5.0)
Content-Type: application/x-phpwiki;
  pagename=Help%2FAsciiSVGPlugin;
  flags=PAGE_LOCKED%2CEXTERNAL_PAGE;
  charset=UTF-8
Content-Transfer-Encoding: binary

The **~AsciiSVGPlugin** [[Help:WikiPlugin|plugin]] is an interface to
[[http://www1.chapman.edu/~jipsen/svg/asciisvg.html]]

Requires ENABLE_XHTML_XML = true

Syntax: [[http://www1.chapman.edu/~jipsen/svg/asciisvgcommands.html]]

The browser must support SVG in order graphs to be displayed.
If you are using a recent browser (Firefox, Opera, Chrome, Safari)
then you should see the examples.

== Usage ==
{{{
<<AsciiSVG width= height= onmousemove="" script=""
         code...
>>
}}}

== Arguments ==

{| class="bordered"
|-
! Argument
! Description
! Default value
|-
| **height**
| graph width
| 200
|-
| **height**
| graph height
| 200
|-
| **script**
|
| false
|-
| **onmouseover**
|
| false
|}

All other arguments are passed to the ASCIISvg javascript library and rendered as SVG.

See [[http://www1.chapman.edu/~jipsen/svg/asciisvg.html]]

== Example ==

{{{
<<AsciiSVG width="117" height="117"
  initPicture(-10,10)
  axes()
  stroke = "red"
  p = []
  with (Math)
    for (t = 0; t < 10.01; t += 0.05)
      p[p.length] = [t*cos(PI*t), t*sin(PI*t)]
  path(p)
>>
}}}

<<AsciiSVG width="117" height="117"
  initPicture(-10,10)
  axes()
  stroke = "red"
  p = []
  with (Math)
    for (t = 0; t < 10.01; t += 0.05)
      p[p.length] = [t*cos(PI*t), t*sin(PI*t)]
  path(p)
>>

== Known Problems ==

With multiple ~AsciiSVG plugins on the same page the second and subsequent ones will have the same width and height.

== Author ==
* [[Help:Reini Urban|Reini Urban]]

== See Also ==
* [[Help:AsciiMathPlugin]]
* [[Help:ChartPlugin]]

<noinclude>
----
[[PhpWikiDocumentation]] [[CategoryWikiPlugin]]
</noinclude>
